
<script type="text/javascript">
    {literal}
    function checkbox(name) {
        $('#form input[type="checkbox"]').each(function() {
            if(this===name) {
                var trt =this.name.replace(/m/,'k');
                if(this.checked) {
                    var oo = document.getElementById(trt);
                    oo.type = "text";
                    document.getElementById(this.name).value = "1";
                    oo.value = "1";
                } else {
                    var oo = document.getElementById(trt);
                    $(this).attr('type', 'hidden');
                    //oo.type = "hidden" ;
                }
            }
        });
    }
    function pricepp(idP) {
        var kol = document.getElementById(idP);
        var kol_v = document.getElementById(idP).value;
        var trt1 =idP.replace(/k/,'m');
        var check11 = document.getElementById(trt1);
        var kv = kol.value;
        if(kol_v!== '') {
            var k = parseFloat(kv);
            check11.value = k;
        } else {
            kol.type = "hidden";
            kol.value = "";
            check11.value = "";
            check11.checked = false;
            alert('Вы не ввели количество материала\n материал убран!');
        }
    }
    function tooltipshow(id, blockID) {
        $("#"+id).bind("click",function(e){
            var offset = $(this).offset();
            var x = e.pageX - offset.left + 10;
            var y = e.pageY - offset.top + 10;
            var elementName = document.getElementById(blockID);
            elementName.style.display='block';
            elementName.style.left = x + 'px';
            elementName.style.top = y + 'px';
        });
    }
    function tooltiphide(blockID) {
        var elementName = document.getElementById(blockID);
        elementName.style.display='none';
    }
    $.manufactoryProduct = {
        custom_features : {},
        save: function (obj) {
            var form = obj;
            if(form.find('input[type="submit"]').attr('disabled')) {
                return;
            }
            var success = function(response) {
                if (response.status == 'ok') {
                    var data = response.data;

                    form.find('.save-status').html('<i class="icon16 yes"></i>Обновляем...');
                    if(data.id) {
                        //window.location.href = '?module=product&action=edit&id='+data.id;
                        window.location.href = '?module=products&category='+data.category_id;
                    }
                } else {
                    //alert(response.errors.join(','));
                    form.find('input[type="submit"]').attr('disabled',false);
                    form.find('.save-status').html('<i class="icon16 yes"></i><span class="errors">Ошибка! '+response.errors.join(',')+'</span>');
                }
            };
            form.find('input[type="submit"]').attr('disabled',true);
            form.find('.save-status').html('<i class="icon16 loading" style="margin-top: 8px; margin-left: 8px;"></i>Сохранение');
            $.ajax({
                url: form.attr('action'),
                data: form.serialize(),
                type: 'post',
                dataType: 'json',
                success: success
            });
        },
        addCustomOffer: function (obj) {
            var link = $(obj);
            var rand = function() {
                return Math.random().toString(36).substr(2); // remove `0.`
            };
            var token = function() {
                return rand() + rand(); // to make it longer
            };
            var md5 = token();
            var html = '<div class="field-group product-custom-offer"><a href="#" class="product-delete-custom-offer inline">'+md5+' <i class="icon16 delete"></i></a>';
                    for(var id in this.custom_features) {
                        html +=  '<div class="field" data-type="custom">' +
                                '<div class="name">' +
                                this.custom_features[id]["name"] +
                                ' </div>' +
                                '<div class="value">' +
                                ' <input type="text" class="product-custom-offer-feature-value"  name="skus['+md5+']['+id+'][value]">';
                        html +=   '<select name="skus['+md5+']['+id+'][unit]" class="product-custom-offer-feature-value-unit">';
                        var units = this.custom_features[id]['units'];

                        for(var uk in units) {
                            var unit = units[uk];
                            html += '<option value="'+uk+'" '+(uk==this.custom_features[id]["base_unit"]?" selected":"")+'>'+unit["name"]+'</option>';
                        }
                        html +=   '</select></div>';
                    }

            html += '</div>';
            link.before(html);
        },
        deleteCustomOffer: function(obj) {
            var offer = $(obj).closest('.product-custom-offer');
            offer.detach();
        },
        deleteOffer: function(obj) {
                offer = $(obj).closest('.product-offer');
                var success = function(response) {
                    if (response.status == 'ok') {
                        offer.detach();
                    } else {
                        alert(response.errors.join(','));
                    }
                };
                var offer_id = offer.data('id');
                $.ajax({
                    url: '?module=product&action=SkuDelete',
                    data: {'offer_id': offer_id},
                    type: 'post',
                    dataType: 'json',
                    success: success
                });
                return false;

            }
    };
    {/literal}
    {foreach $features as $sk => $sv}
    $.manufactoryProduct.custom_features[{$sk}] = {};
    $.manufactoryProduct.custom_features[{$sk}]['name'] = '{$sv->getName()}';
    $.manufactoryProduct.custom_features[{$sk}]['units'] = {json_encode($sv->getUnits())};
    $.manufactoryProduct.custom_features[{$sk}]['base_unit'] = '{$sv->getBaseUnit()}';
    {/foreach}

    $(document).ready(function () {

        $(document).keydown(function(e) {
            if (e.ctrlKey && e.keyCode == 83) {
                $.manufactoryProduct.save($('.product-save'));
                return false;
            }
            /*if (ctrlDown &&  e.keyCode == cKey) {

                return false;
            }*/
        });

        $(document).off('click','.product-add-custom-offer').on('click','.product-add-custom-offer', function () {
             $.manufactoryProduct.addCustomOffer($(this));
             return false;
         });
        $(document).off('click','.product-feature-1 input').on('click','.product-feature-1 input', function () {

           if($(this).prop('checked')) {
               $(this).closest('.field-group').find('.product-feature-2').find('input').prop('checked', true);
           }
        });
        $(document).off('click','.product-delete-custom-offer').on('click','.product-delete-custom-offer', function () {
            $.manufactoryProduct.deleteCustomOffer($(this));
            return false;
        });
        $(document).off('click','.product-offer-delete').on('click','.product-offer-delete', function () {
            $.manufactoryProduct.deleteOffer($(this));
            return false;
        });

        $('.material-quantity').change(function () {
            $(this).closest('tr').find('.material-input').val($(this).val());
        });
        $('.material-input').change(function () {
            if($(this).prop('checked')) {
                $(this).val(1);
                $(this).closest('tr').find('.material-quantity').val(1).show();
            } else {
                $(this).closest('tr').find('.material-quantity').val(1).hide();
            }

        });
        $('input[name=select_all]').click(function () {
            if($(this).prop('checked')) {
                var checked = true;
            } else {
                var checked = false;
            }
            $(this).closest('div').find('input[type=checkbox]').each(function () {
                $(this).attr('checked',checked);
            });
        });
        
        $('.product-save').submit(function () {
           $.manufactoryProduct.save($(this));
            return false;
        });
    });

</script>
<STYLE type="text/css">
    label:hover {
        color: #c00;
    }
    .NBm {
        background:#222; z-index: 200; color:#fff; width:400px; border:1px solid #fff; position:absolute; font-size:12px; text-align: left;
    }
    .NBm p {
        font-size:12px;color:#fff;text-align: left;text-indent: 0.5em;
    }
    #LogOutForm {
        position:relative;
    }
    #zak  {
        margin-right: 5px;margin-top: 5px; float: right; background-image:url(/images/zakr.png); background-repeat:no-repeat; width:14px; height:14px;
    }
    .delimiter td {
        background-color: #e4e4e4 !important;
        color: #aaa;
    }
    .delimiter td a {
        color: #aaa;
    }
    .delimiter td a:hover {
        color: #222;
    }
    .category-materials-name  {
        background-color: #b0e3f6;
        padding: 10px;
    }
    .category-materials-name h2  {
        margin-bottom: 0;
    }
    .category-materials-content {
        padding-left: 20px;
    }
    .category-materials {
        margin-bottom: 20px;
    }
    table.zebra input {
        width: 50px !important;
    }
</STYLE>

<form action="?module=product&action=save" method="post" class="product-save">
    <input type="hidden" name="group_id" value="2">
    {if $product}
    <input type="hidden" name="id" value="{$product->getId()}">
    <input type="hidden" name="type_id" value="{$product->getType()}">
    {else}
    <input type="hidden" name="type_id" value="1">
    {/if}
<table border="0"  cellspacing="5"  class="light" style="width:800px;">
    <tr>
        <td>Имя товара</td>
        <td>
            <input name="name" type="text" value="{if $product}{$product->getName()}{/if}">
            {if $product}
           <a href="?module=product&action=Delete&id={$product->getId()}" class="product-delete" style="float: right;">
                <i class="icon16 delete"></i>Удалить
            </a>
            {/if}
        </td>
    </tr>
    <tr>
        <td>Категория</td>
        <td>

            <select name="category_id">
            {foreach $wa->manufactory->allowCategories(0, 2) as $kg => $vg}

                {if $product && $kg == $product['category_id']}
                    <option value="{$kg}" selected="selected">{$vg['name']}</option>
                {elseif $category == $kg }
                    <option value="{$kg}" selected="selected">{$vg['name']}</option>\
                {else}
                    <option value="{$kg}">{$vg['name']}</option>
                {/if}
            {/foreach}
            </select>
        </td>
    </tr>
    <tr>
        <td colspan="2">
    <ul class="tabs costs_menu">
        {if $wa->user()->getRights('manufactory', 'productcost.materials')>0}
        <li  class="selected"><a href="#" data-tab="costs_materials">Материалы</a></li>
        {/if}
        {if isset($backend_product_edit)}
        {foreach $backend_product_edit as $_plugin}
        {if isset($_plugin.costs_menu) && $wa->user()->getRights('manufactory',"productcost.`$_plugin.costs_type`")>0}
            {$_plugin.costs_menu}
        {/if}
        {/foreach}
        {/if}
    </ul>

    <div class="tab-content">

        <div id="costs_materials" class="tab"  {if $wa->user()->getRights('manufactory', 'productcost.materials')<1} style="display:none;"{/if}>
            <div class="cost_menu" style="padding: 10px;"><h2>Материалы</h2><br>
            <input name="materials_hideshow" type="button" value="Скрыть">
            </div>
        {$cost_type = $wa->manufactory->getCostType('materials')}
        {foreach $cost_type->getCategories() as $k => $v}
        {$materials = $cost_type->getByCategory($k)}
        {if !empty($materials)}
            <div class="category-materials">
            <div class="category-materials-name">
                <h2>{$v['name']}</h2>
            </div>
            <div class="category-materials-content">
                <table border="0" cellspacing="5" rules="all" class="zebra light-mini" style="width: 650px;">
                    <tr>
                        <th scope="col" width="65%">Материал</th>
                        <th scope="col">Основная цена</th>
                        <th scope="col">Количество</th>
                    </tr>
                    {$product_materials=[]}
                    {if $product}
                    {$product_costs = $product->getCosts()}
                    {$product_materials = $product_costs['materials']}
                    {/if}

                    {foreach $materials as $km => $vm}
                    {if $vm->isActive() || ($product && isset($product_materials[$km]))}
                    <tr {if $vm->getType()=='delimiter'}class="delimiter"{/if}>
                        <td height="27px">
                            {if $vm->getType()=='delimiter'}
                            {$vm['name']}
                            {else}
                            <label>
                                <input name="costs[materials][{$km}]" id="material-{$km}" class="material-input" type="checkbox"
                                       value="{if $product && isset($product_materials[$km])}{$product_materials[$km]->getQuantity()}{/if}"
                                       {if $product && isset($product_materials[$km])} checked {/if}>

                                {$vm['name']}
                            </label>
                            {/if}
                        </td>
                        <td> {if $vm->getType()=='delimiter'}{else}{$vm['price']} руб.{/if}</td>
                        <td>
                            {if $vm->getType()=='delimiter'}{else}
                            <input type="number" class="material-quantity"
                                   value="{if $product && isset($product_materials[$km])}{$product_materials[$km]->getQuantity()}{/if}"
                                   style=" width: 50px; line-height:12px;   {if $product && isset($product_materials[$km])}{else} display:none;{/if}">
                            {/if}
                        </td>
                    </tr>
                    {/if}
                    {/foreach}
                </table>
            </div>
        </div>
        {/if}
        {/foreach}
        </div>

        <!-- event backend_product_edit.costs -->
        {if isset($backend_product_edit)}
        {foreach $backend_product_edit as $_plugin}
        {if isset($_plugin.costs)}
        {$_plugin.costs}
        {/if}
        {/foreach}
        {/if}
    </div></td>
    </tr>
    <tr>
        <td colspan="2">
            {$product_features = false}
            {if $product}
                {$product_features = $product->getFeatures()}
            {/if}
            {$groups_values =  manufactoryFeaturesPool::getInstance()->getFeatureGroups()}
            {foreach $groups_values as $sgk => $sgv}
            <div class="field-group"> <label>{$sgv['name']} <input type="checkbox" name="select_all"></label><br>
                {foreach $features as $sk => $sv}
                    {$_pr_f_values = []}
                    {if $product}
                        {$product_feature = $product_features->getData($sk)}
                        {if $product_feature}
                                {$_pr_f_values = $product_feature->getValues()}
                        {/if}
                    {/if}
                    <div class="field product-feature-{$sk}">
                        <div class="name">{$sv->getName()}</div>
                        <div class="value">
                            {foreach $sv->getValues($sgk) as $fvk => $fvv}
                            <label >{$fvv['name']}
                                <input  type="checkbox" class="product-feature-{$sk}-value-{$fvk}" name="features[{$sk}][{$fvk}]" value="{$fvk}"  {if isset($_pr_f_values[$fvk])} checked="checked"{/if} ></label>
                            {/foreach}</div>
                    </div>
                {/foreach}
            </div>
            {/foreach}
            <div class="field-group">
                <a href="#" class="product-add-custom-offer"><i class="icon16 add"></i>Добавить произвольное предложение</a>
            </div>
            <div>
                <!-- event backend_product_edit.features -->
                {if isset($backend_product_edit)}
                {foreach $backend_product_edit as $_plugin}
                {if isset($_plugin.features)}
                {$_plugin.features}
                {/if}
                {/foreach}
                {/if}
            </div>
        </td>
    </tr>
    {if $product}
    {$skus = $product->getSkus()}
    <tr>
        <td colspan="2">
            <table class="zebra product-offers ui-sortable" >
            <tr>
                <th></th>
                <th>Название предложения</th>
                <th>Цена</th>
                <th></th>
            </tr>
            {foreach $skus->getData() as $sku}
            <tr class="product-offer" data-id="{$sku->getId()}">
                <td class="min-width"><i class="icon16 sort"></i></td>
                <td>  {$sku->getName()}</td>
                <td>  {$sku->getCost()}</td>
                <td>
                    <a href="#" class="product-offer-delete"><i class="icon16 delete"></i></a>
                </td>
            </tr>
            {/foreach}
        </table>
        </td>
    </tr>
    {/if}
</table>
    <div class="entity-edit-save-block"></div>
    <div class="entity-edit-save-panel" style="display: block;">
        <div class="block bordered-top">
            <input type="submit" class="button green" value="Сохранить">
            <em class="hint">Ctrl + S</em>
            <span class="save-status"></span>
        </div>
    </div>
</form>
<script>
    {literal}
    $('.product-offers').sortable({
        'distance': 5,
        'opacity': 0.75,
        'items': '> tbody:first > tr:visible',
        'handle': '.sort',
        'cursor': 'move',
        'tolerance': 'pointer',
        'start': function () {
            $('.block.drop-target').addClass('drag-active');
        },
        'stop': function (e,ui) {
            var success = function(response) {

            };
            var item = ui.item;
            var item_after = item.prev();
            var data = {'id':item.data('id'),'after_id':item_after.data('id')};
            $.post('?module=product&action=SkuSort',{'id':item.data('id'),'after_id':item_after.data('id')}, success, 'json');
            $('.block.drop-target').removeClass('drag-active');
        }
    });
    $('.category-materials-name').click(function () {
        $(this).closest('.category-materials').find('.category-materials-content').toggleClass('hide');
        return false;
    });
    $('[name=materials_hideshow]').click(function () {
        if($(this).val()=='Скрыть') {
            $('#costs_materials').find('.category-materials-content').addClass('hide');
            $(this).val('Показать');
        } else {
            $('#costs_materials').find('.category-materials-content').removeClass('hide');
            $(this).val('Скрыть');
        }
        return false;

    });
    $('.costs_menu').find('a').each(function () {
       /* var tab =  $(this).data('tab');
        if(tab=='costs_compositematerials') {
          $(this).trigger('click');
        } else if(tab=='costs_materials') {
            $(this).parent().hide();
        }*/
    });
    $('.costs_menu').find('a:visible').trigger('click');
    $('.costs_menu').find('a').click(function () {
       var tab =  $(this).data('tab');
        $(this).closest('tr').find('.tab-content').find('.tab').hide();
        $('#'+tab).show();
        $(this).closest('ul').find('li').removeClass('selected');
        $(this).closest('li').addClass('selected');
        return false;
    });
    {/literal}
</script>

